-- 23-01-2020 TRK
--
-- SBSYS Sagsskabeloner - 12.1.0 - mss

patch_id esdhSBSIP_#1210_200123

--******************************************************************************
-- Udvidelse af sbsys_skabelon                                        23-01-2020
--******************************************************************************

if (select col_length('sbsys_skabelon','sys_type')) is null
   alter table sbsys_skabelon add sys_type varchar(6) not null default 'common';

if (select col_length('sbsys_skabelon','visible')) is null
   alter table sbsys_skabelon add visible varchar(1) not null default '1';

--******************************************************************************
-- Links til SBSYS sag og dokument                                    27-01-2020
--******************************************************************************

update app_settings set
  app_value = 'sbsyslauncher:sag_id={id}'
where app_section = 'ESDHSBSIP' and app_key = 'SbSysSagLink';

update app_settings set
  app_value = 'sbsyslauncher:dokumentregistrering_id={id}'
where app_section = 'ESDHSBSIP' and app_key = 'SbSysDokLink';

--******************************************************************************
-- Udvidelse af sbsys_casefile_status                                 27-01-2020
--******************************************************************************

if (select col_length('sbsys_casefile_status','ge_case_open')) is null
   alter table sbsys_casefile_status add ge_case_open varchar(1) not null default '0';

if (select col_length('sbsys_casefile_status','ge_default')) is null
   alter table sbsys_casefile_status add ge_default varchar(1) not null default '0';

--******************************************************************************