-- 19-03-2020 TRK
--
-- Nye kolonner i app_settings - 12.2.0 - mss

patch_id dpost_1220_200319

--******************************************************************************
-- Nye kolonner i app_settings DPOST                                  19-03-2020
--******************************************************************************

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'FileDomainName') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'FileDomainName', 'D', 20, 'Digital Post integration', 'Fil-domne navn', 'Domne-navn for filer.', null;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'FileDomainUserId') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'FileDomainUserId', 'D', 21, 'Digital Post integration', 'Fil-domne bruger-id', 'Bruger-id for logon til fil-domne.', null;

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'FileDomainPassword') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'FileDomainPassword', 'D', 22, 'Digital Post integration', 'Fil-domne adgangskode', 'Adgangskode for logon til fil-domne.', null;


if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'CleanUpQueueLogInterval') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'CleanUpQueueLogInterval', 'D', 80, 'Digital Post integration', 'Tidsinterval for oprydning i server log', 'Tidsinterval imellem hver oprydning i server log (SFC_QueueLog). Format: tt:mm (Default 24:00, dvs. hvert dgn)', '24:00';

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'CleanUpQueueLogStartTime') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'CleanUpQueueLogStartTime', 'D', 81, 'Digital Post integration', 'Starttidspunkt for server log oprydning', 'Starttidspunkt for oprydning i server log (SFC_QueueLog). Format: tt:mm', '21:00';

if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'CleanUpQueueLogRetentionDays') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'CleanUpQueueLogRetentionDays', 'D', 82, 'Digital Post integration', 'Antal dages data der bevares i server log', 'Slet server log data som er ldre end antallet af dage', '30';


if (select 'x' from app_settings where app_section = 'DPOST' AND app_key = 'LoggingLevel') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'DPOST', 'LoggingLevel', 'D', 100, 'Digital Post integration', 'Logging niveau', 'Logging niveau kan sttes til "info", "warning", "error" eller "verbose". Default er "info"', 'info';

--******************************************************************************