-- 19-08-2020 TRK 
--
-- bom - 12.4.0 - mss

patch_id bom_1240_200819

--******************************************************************************
-- Opret tabellen bm_SagsStatusBMvsGE                                 19-08-2020
--******************************************************************************

create table dbo.bm_SagsStatusBMvsGE (
   task_seq_no                   numeric(9,0)        not null,
   site_sys_type                 varchar(6)          null,
   BOMSagID                      varchar(50)         null,
   IndsendelseID                 varchar(50)         null,
   error_message                 varchar(max)        null,

   all_ok                        varchar(1)          not null default ('0'),
   status_ok                     varchar(1)          not null default ('0'),
   case_no_ok                    varchar(1)          not null default ('0'),
   officer_ok                    varchar(1)          not null default ('0'),

   ge_status_kode                varchar(30)         null,
   bm_status_kode                varchar(30)         null,
   ge_status_fase_kode           varchar(30)         null,
   bm_status_fase_kode           varchar(30)         null,
   ge_status_initiativ_pligt     varchar(30)         null,
   bm_status_initiativ_pligt     varchar(30)         null,

   ge_case_no                    varchar(50)         null,
   ge_ext_case_no                varchar(50)         null,
   bm_case_no                    varchar(50)         null,

   ge_officer_name               varchar(100)        null,
   bm_officer_name               varchar(100)        null,
   ge_officer_email              varchar(100)        null,
   bm_officer_email              varchar(100)        null,
   ge_officer_phone              varchar(30)         null,
   bm_officer_phone              varchar(30)         null,

   created                       datetime            null default current_timestamp,
   created_by                    varchar(6)          null default current_user,
   constraint pk_bm_SagsStatusBMvsGE primary key clustered (task_seq_no)
);

grant select on bm_SagsStatusBMvsGE to public;
grant select, insert, update, delete on bm_SagsStatusBMvsGE to sysmgr;

--******************************************************************************