patch_id dash_control_tab_180121

create table dbo.dash_control (
   id		        integer              not null identity(1,1) primary key,
   site_seq_no		numeric(9,0)	     not null,	 	
   to_date		date		     not null,
   ind_type_id		varchar(6)	     not null,
   ind_type_id_type	varchar(20)	     not null, 			
   created              datetime             null default getdate(),
   created_by           varchar(6)           null default user_name(),
   changed              datetime             null,
   changed_by           varchar(6)           null
)
;

create unique index uidx_dash_control on dash_control (
	site_seq_no
	, to_date
);

alter table dash_control
   add constraint fk_dash_control_site foreign key (site_seq_no)
      references site (site_seq_no)
         on delete cascade
go

grant SELECT,INSERT,DELETE,UPDATE on dash_control to public
;