-- 12-08-2021 JH

patch_id report_criteria_1290_210812

--******************************************************************************
-- Rapport kriterie (hovedrelease)
--******************************************************************************

create table dbo.report_criteria (
    id			          int identity(1,1)  not null,
    repname	                  varchar(100)       not null,
    navn	                  varchar(200)       not null,
    gruppe	                  varchar(50)        null,
    beskrivelse	                  varchar(4000)      null,
    kriterie	                  varchar(max)       null,
    standard		          varchar(1) 	     not null default '0',
    autohent		          varchar(1) 	     not null default '0',
    status_list			  varchar(20)	     null,	 		
    created                       datetime           null default current_timestamp,
    created_by                    varchar(6)         null default current_user,
    changed                       datetime           null,
    changed_by                    varchar(6)         null,
    constraint pk_report_criteria primary key (id)
);
grant select,insert,update,delete on report_criteria to public;

--******************************************************************************
