
patch_id wcat_catchment_plant_active_20210616

-- wcat_catchment_plant.active skal nu være udfyldt og vi sender registeret værdi

update wcat_catchment_plant set active = '2' where active is null;

update wcat_catchment_plant set active = '2' where active = '0';

-- Udvid wcat_catchment_plant.active fra varchar(1) null til varchar(6) not null

alter table wcat_catchment_plant
  alter column active varchar(6) not null;

-- wcat_catchment_plant.active skal nu refererer til jup_Aktivstatus.code

drop_foreign_key on wcat_catchment_plant jup_Aktivstatus;
alter table wcat_catchment_plant
  add constraint fk_wcat_catchment_plant_jup_Aktivstatus foreign key (active)
  references jup_Aktivstatus (code);
  
 -- add extra column to jup_Aktivstatus
  
 if (select col_length('jup_Aktivstatus','ge_active')) is null  
alter table jup_Aktivstatus
	add ge_active varchar(1) not null default '0';