-- 28-10-2021 TRK
--
-- Nye kolonner i app_settings - 12.9.5 - mss

patch_id fp_1295_211028

--******************************************************************************
-- Nye kolonner i app_settings FP                                     28-10-2021
--******************************************************************************

if (select 'x' from app_settings where app_section = 'FP' AND app_key = 'FP_SERVICE') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'FP', 'FP_SERVICE', 'D', 10, 'Kemikalieinspektion', 'Url til FP web servicen', 'Url til FP web servicen (web service der udstilles af GeoEnviron Service FP)', NULL;


if (select 'x' from app_settings where app_section = 'FP' AND app_key = 'MSTProdukterServiceUrl') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'FP', 'MSTProdukterServiceUrl', 'D', 20, 'Kemikalieinspektion', 'Url til MSTProdukter web servicen', 'Url til MSTProdukter web servicen', null;

if (select 'x' from app_settings where app_section = 'FP' AND app_key = 'MSTProdukterSourceType') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'FP', 'MSTProdukterSourceType', 'D', 21, 'Kemikalieinspektion', 'MSTProdukter SourceType', 'MSTProdukter SourceType', null;


if (select 'x' from app_settings where app_section = 'FP' AND app_key = 'ICSMSServiceUrl') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'FP', 'ICSMSServiceUrl', 'D', 30, 'Kemikalieinspektion', 'Url til ICSMS web servicen', 'Url til ICSMS web servicen', null;

if (select 'x' from app_settings where app_section = 'FP' AND app_key = 'ICSMSTokenUrl') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'FP', 'ICSMSTokenUrl', 'D', 31, 'Kemikalieinspektion', 'Url til ICSMS Token web servicen', 'Url til ICSMS Token web servicen', null;

if (select 'x' from app_settings where app_section = 'FP' AND app_key = 'ICSMSTokenClientId') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'FP', 'ICSMSTokenClientId', 'D', 32, 'Kemikalieinspektion', 'ICSMS Token Client id', 'ICSMS Token Client id', null;

if (select 'x' from app_settings where app_section = 'FP' AND app_key = 'ICSMSTokenClientSecret') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'FP', 'ICSMSTokenClientSecret', 'D', 33, 'Kemikalieinspektion', 'ICSMS Token Client secret', 'ICSMS Token Client secret', null;


if (select 'x' from app_settings where app_section = 'FP' AND app_key = 'FileDomainName') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'FP', 'FileDomainName', 'D', 40, 'Kemikalieinspektion', 'Fil-domne navn', 'Domne-navn for filer', null;

if (select 'x' from app_settings where app_section = 'FP' AND app_key = 'FileDomainUserId') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'FP', 'FileDomainUserId', 'D', 41, 'Kemikalieinspektion', 'Fil-domne bruger-id', 'Bruger-id for logon til fil-domne', null;

if (select 'x' from app_settings where app_section = 'FP' AND app_key = 'FileDomainPassword') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'FP', 'FileDomainPassword', 'D', 42, 'Kemikalieinspektion', 'Fil-domne adgangskode', 'Adgangskode for logon til fil-domne', null;


if (select 'x' from app_settings where app_section = 'FP' AND app_key = 'UpdateCredentialsIntervalDays') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'FP', 'UpdateCredentialsIntervalDays', 'D', 50, 'Kemikalieinspektion', 'Tidsinterval for FP password opdatering', 'Tidsinterval imellem hver opdatering af webapi password for FP. Formatet er et heltal der angiver antal dage (Default 7, dvs. hvert syvende dgn)', '7';

if (select 'x' from app_settings where app_section = 'FP' AND app_key = 'UpdateCredentialsStartime') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'FP', 'UpdateCredentialsStartime', 'D', 51, 'Kemikalieinspektion', 'Starttidspkt. for FP password opdatering', 'Starttidspunkt for opdatering af webapi password for FP. Format: tt:mm (Default 01:00, dvs. kl. 1 om natten)', '01:00';


if (select 'x' from app_settings where app_section = 'FP' AND app_key = 'CleanUpQueueLogInterval') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'FP', 'CleanUpQueueLogInterval', 'D', 80, 'Kemikalieinspektion', 'Tidsinterval for oprydning i server log', 'Tidsinterval imellem hver oprydning i server log (SFC_QueueLog). Format: tt:mm (Default 24:00, dvs. hvert dgn)', '24:00';

if (select 'x' from app_settings where app_section = 'FP' AND app_key = 'CleanUpQueueLogStartTime') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'FP', 'CleanUpQueueLogStartTime', 'D', 81, 'Kemikalieinspektion', 'Starttidspunkt for server log oprydning', 'Starttidspunkt for oprydning i server log (SFC_QueueLog). Format: tt:mm', '21:00';

if (select 'x' from app_settings where app_section = 'FP' AND app_key = 'CleanUpQueueLogRetentionDays') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'FP', 'CleanUpQueueLogRetentionDays', 'D', 82, 'Kemikalieinspektion', 'Antal dages data der bevares i server log', 'Slet server log data som er ldre end antallet af dage', '30';


if (select 'x' from app_settings where app_section = 'FP' AND app_key = 'LoggingLevel') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'FP', 'LoggingLevel', 'D', 100, 'Kemikalieinspektion', 'Logging niveau', 'Logging niveau kan sttes til "info", "warning", "error" eller "verbose". Default er "info"', 'info';

--******************************************************************************