patch_id function_RemoveNonAlphaCharacters

if exists (select 1 from sysobjects
   where id = object_id('geokon.RemoveNonAlphaCharacters') and type = 'FN')
   DROP FUNCTION geokon.RemoveNonAlphaCharacters;

CREATE Function geokon.RemoveNonAlphaCharacters (
 @Temp VarChar(1000))
Returns VarChar(1000)

Begin

    Declare @KeepValues as varchar(50)
    Set @KeepValues = '%[^a-å0-9]%'
    While PatIndex(@KeepValues, @Temp) > 0
        Set @Temp = Stuff(@Temp, PatIndex(@KeepValues, @Temp), 1, '')

    Return @Temp
End;

grant execute on geokon.RemoveNonAlphaCharacters to public;
