patch_id tm_invoiced_period_10072020
-- JH

with cte as (
	select site_seq_no, date_from, date_to, act_sys_type
	,rn = ROW_NUMBER () over (partition by site_seq_no, date_from, act_sys_type order by site_seq_no, date_from, act_sys_type, created)
	  from tm_invoiced_period
	  )
	  delete from cte where rn > 1
;

IF NOT EXISTS(SELECT * FROM sys.indexes WHERE Name = 'UIDX_TM_INVOICED_PERIOD')
create unique index UIDX_TM_INVOICED_PERIOD on tm_invoiced_period (
	site_seq_no
	, date_from
	, act_sys_type
);
