-- 10-11-2020 TRK
--
-- Nye kolonner p cvr tabeller - 12.6.0 - mss

patch_id cvr_1260_201110

--******************************************************************************
-- Nye kolonner p cvr tabeller                                       10-11-2020
--******************************************************************************

if (select col_length('cvr_virksomhed_load','beliggenhedsadresse_landekode')) is null
   alter table cvr_virksomhed_load add beliggenhedsadresse_landekode varchar(3) null;

if (select col_length('cvr_produktionsenheder_load','beliggenhedsadresse_landekode')) is null
   alter table cvr_produktionsenheder_load add beliggenhedsadresse_landekode varchar(3) null;

if (select col_length('cvr_produktionsenheder','beliggenhedsadresse_landekode')) is null
   alter table cvr_produktionsenheder add beliggenhedsadresse_landekode varchar(3) null;

update cvr_virksomhed_load set beliggenhedsadresse_landekode = 'DK' where beliggenhedsadresse_landekode is null;
update cvr_produktionsenheder_load set beliggenhedsadresse_landekode = 'DK' where beliggenhedsadresse_landekode is null;
update cvr_produktionsenheder set beliggenhedsadresse_landekode = 'DK' where beliggenhedsadresse_landekode is null;

--******************************************************************************
-- Nye rkker i app_settings                                          08-12-2020
--******************************************************************************

if (select 'x' from app_settings where app_section = 'CVR' AND app_key = 'ReloadCVRDataIntervalDays') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'CVR', 'ReloadCVRDataIntervalDays', 'D', 60, 'CVR', 'Genindls CVR data - krselsinterval', 'Tidsinterval imellem hver genindlsning af CVR data. Formatet er et heltal der angiver antal dage (Default 7, dvs. hvert syvende dgn)', '7';

if (select 'x' from app_settings where app_section = 'CVR' AND app_key = 'ReloadCVRDataStartTime') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'CVR', 'ReloadCVRDataStartTime', 'D', 61, 'CVR', 'Genindls CVR data - starttidspunkt', 'Starttidspunkt for genindlsning af CVR data. Format: tt:mm (Default 01:00, dvs. kl. 1 om natten)', '01:00';

--******************************************************************************