-- 08-03-2021 TRK
--
-- Nye kolonner i app_settings - 12.8.0 - mss

patch_id esdhAcadre_1280_210308

--******************************************************************************
-- Nye kolonner i app_settings ESDHAcadre                             08-03-2021
--******************************************************************************

-- Acadre web service

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'AcadreServiceUrl') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'AcadreServiceUrl', 'D', 10, 'ESDH integration Acadre', 'Url til Acadre web servicen', 'Url til Acadre web servicen', null;

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'AcadreDomain') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'AcadreDomain', 'D', 11, 'ESDH integration Acadre', 'Acadre System Domain', 'Acadre System Domain (systembruger)', null;

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'AcadreUsername') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'AcadreUsername', 'D', 12, 'ESDH integration Acadre', 'Acadre System Username', 'Acadre System Username (systembruger)', null;

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'AcadrePassword') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'AcadrePassword', 'D', 13, 'ESDH integration Acadre', 'Acadre System Password', 'Acadre System Password (systembruger)', null;

-- Filsystem adgang

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'FileDomainName') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'FileDomainName', 'D', 20, 'ESDH integration Acadre', 'Fil-domne navn', 'Domne-navn for filer', null;

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'FileDomainUserId') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'FileDomainUserId', 'D', 21, 'ESDH integration Acadre', 'Fil-domne bruger-id', 'Bruger-id for logon til fil-domne', null;

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'FileDomainPassword') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'FileDomainPassword', 'D', 22, 'ESDH integration Acadre', 'Fil-domne adgangskode', 'Adgangskode for logon til fil-domne', null;

-- Acadre sager

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'AcadreSagLink') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'AcadreSagLink', 'D', 30, 'ESDH integration Acadre', 'Acadre sag link skabelon', 'Acadre sag link skabelon. Teksten {id} i skabelonen erstattes med sagens id', '{id}';

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'CaseAccessCode') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'CaseAccessCode', 'D', 31, 'ESDH integration Acadre', 'Adgangskode for sager', 'Adgangskode for sager. Kan fx vre BO (Borgersag). Default er tom (null)', null;

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'CaseRestrictedCode') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'CaseRestrictedCode', 'D', 32, 'ESDH integration Acadre', 'Aktindsigt-kode for sager', 'Aktindsigt-kode for sager. Default er 3 (ben)', '3';

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'CaseDeletionCode') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'CaseDeletionCode', 'D', 33, 'ESDH integration Acadre', 'Slettekode for sager', 'Slettekode for sager. Default er P1800D', 'P1800D';

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'CaseStatusOpenCode') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'CaseStatusOpenCode', 'D', 34, 'ESDH integration Acadre', 'Sagsstatuskode for bne sager', 'Sagsstatuskode for bne sager. Default er B (Under behandling)', 'B';

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'CaseStatusClosedCode') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'CaseStatusClosedCode', 'D', 35, 'ESDH integration Acadre', 'Sagsstatuskode for afsluttede sager', 'Sagsstatuskode for afsluttede sager. Default er A (Afsluttet)', 'A';

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'KLFacet') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'KLFacet', 'D', 36, 'ESDH integration Acadre', 'KL handlingsfacetter kode', 'KL handlingsfacetter kode. Acadres navn p den klassifikationskategori der udpeger KL handlingsfacetter. Default er: Facetter', 'Facetter';

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'KLSubject') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'KLSubject', 'D', 37, 'ESDH integration Acadre', 'KL emneord kode', 'KL emneord kode. Acadres navn p den klassifikationskategori der udpeger KL emneord. Default er: KL Koder', 'KL Koder';

-- Acadre dokumenter

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'AcadreDokLink') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'AcadreDokLink', 'D', 50, 'ESDH integration Acadre', 'Acadre dokument link skabelon', 'Acadre dokument link skabelon. Teksten {id} i skabelonen erstattes med dokumentets id', '{id}';

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'DocumentAccessCode') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'DocumentAccessCode', 'D', 51, 'ESDH integration Acadre', 'Adgangskode for dokumenter', 'Adgangskode for dokumenter. Kan fx vre BO (Borgersag). Default er tom (null)', null;

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'DocumentRestrictedCode') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'DocumentRestrictedCode', 'D', 52, 'ESDH integration Acadre', 'Aktindsigt-kode for dokumenter', 'Aktindsigt-kode for dokumenter. Default er 3 (ben)', '3';

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'DocumentStatusCode') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'DocumentStatusCode', 'D', 53, 'ESDH integration Acadre', 'Statuskode for dokumenter', 'Statuskode for dokumenter. Statuskode som nye dokumenter skal oprettes med i Acadre. Default er B (Behandlet)', 'B';

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'DocumentFilingStatusCode') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'DocumentFilingStatusCode', 'D', 54, 'ESDH integration Acadre', 'Journalstatuskode for dokumenter', 'Journalstatuskode for dokumenter. Journalstatuskode som nye dokumenter skal oprettes med i Acadre. Default er J (Endelig)', 'J';

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'DocumentLinkTypeCode') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'DocumentLinkTypeCode', 'D', 55, 'ESDH integration Acadre', 'Linktypekode for dokumenter', 'Linktypekode for dokumenter. Linktypekode som nye dokumenter skal oprettes med i Acadre. Default er H', 'H';

-- Jobs

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'BasedataImportInterval') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'BasedataImportInterval', 'D', 70, 'ESDH integration Acadre', 'Synk. af stamdata - krselsinterval', 'Tidsinterval imellem hver synk. af stamdata. Format: tt:mm (Default 24:00, dvs. hvert dgn)', '24:00';

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'BasedataImportStartTime') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'BasedataImportStartTime', 'D', 71, 'ESDH integration Acadre', 'Synk. af stamdata - starttidspunkt', 'Starttidspunkt for frste synk. af stamdata. Format: tt:mm (Default 01:00, dvs. kl. 1 om natten)', '01:00';

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'CasefilesUpdateInterval') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'CasefilesUpdateInterval', 'D', 72, 'ESDH integration Acadre', 'Opdatering af sager - krselsinterval', 'Tidsinterval imellem hver opdatering af sager. Format: tt:mm (Default 24:00, dvs. hvert dgn)', '24:00';

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'CasefilesUpdateStartTime') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'CasefilesUpdateStartTime', 'D', 73, 'ESDH integration Acadre', 'Opdatering af sager - starttidspunkt', 'Starttidspunkt for frste opdatering af sager. Format: tt:mm (Default 01:00, dvs. kl. 1 om natten)', '01:00';

if (select 'x' from app_settings where app_section = 'ESDHAcadre' AND app_key = 'CasefilesUpdateActivated') is null
   insert into app_settings (app_section, app_key, app_search, app_sort, app_user_section, app_user_key, app_descript, app_value)
   select 'ESDHAcadre', 'CasefilesUpdateActivated', 'D', 74, 'ESDH integration Acadre', 'Opdatering af sager - aktiveret', 'Angiver om ESDH servicen automatisk skal opdatere sager (typisk natligt). Kan sttes til Ja eller Nej (Default er Nej)', 'Nej';

--******************************************************************************